Subject: Re: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Kévin Le Gouguec <[email-masked]>
Date: Sun, 06 Sep 2020 18:33:11 +0200

Eli Zaretskii <[email-masked]> writes:

> I don't see how using "C-h v" in that case is a reasonable use case,
> since the documentation is displayed right below the name of the
> option.

FWIW, the *Help* buffer has a few perks over the *Customize* buffer:

- it contains a link to the variable's definition,

- it displays the variable's original value,

- it displays the option's :version property, as well as the estimated
  release that introduced it,

- symbols mentioned in the docstring are buttonized
  (e.g. Info-refill-paragraphs in Info-hide-note-references's
  docstring).

Not that those features couldn't be added to the *Customize* buffer in
principle; as things stand though, I could see myself wanting to jump
from the *Customize* buffer to the *Help* buffer for any of these
reasons, and it'd be nice if "C-h v RET" did the right thing.